Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 808381 - media-sound/ardour depends on deprecated x11-libs/gtk+:2, dev-cpp/libgnomecanvasmm
Summary: media-sound/ardour depends on deprecated x11-libs/gtk+:2, dev-cpp/libgnomecan...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Professional Audio Applications Maintainers
URL: https://discourse.ardour.org/t/gtk3-m...
Whiteboard:
Keywords:
Depends on:
Blocks: gtk2-removal 808375
  Show dependency tree
 
Reported: 2021-08-15 07:28 UTC by Andreas Sturmlechner
Modified: 2021-08-15 11:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-08-15 07:28:15 UTC
Any signs of upstream plans to port away to GTK+3, GTK4, Qt or sth. else?
Comment 1 Miroslav Šulc gentoo-dev 2021-08-15 07:34:31 UTC
all i found (i did not try hard) was this: https://discourse.ardour.org/t/gtk3-migration/101873

as the work started on ardour-7, the things might change (or not).